Update alert

Updates whether the specified alert is read or archived.

Requires one of the following license types: ioa, ioaPreview, or ioe. See License Types.

Requires the Read permission on the Profiles, Domains, and Indicators of Exposure entities (read:profile, read:directory, read:checker). See Identity Exposure Permissions.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
^[0-9]+$

Specifies the ID of the alert.

Body Params

Validates the PATCH /alerts/:id request

boolean

Specifies whether to archive the alert.

boolean

Specifies whether to mark the alert as read.

Responses

401

Returned if the API key specified in your request is invalid.

404

Returned if the specified alert could not be found.

500

Returned if an internal error occurred.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json